function p = probdata(rkd, kv, THETA, jy, jx, joint)

p = 0;

[numpts dim] = size(rkd)  ;

u = THETA.u;

s = u(joint, 1);
crcr = u(joint, 2);
alpha = u(joint, 3);
m = u(joint, 4:35);
beta = THETA.beta;


alpha = (alpha/beta)/ (1 + alpha/beta);

prod = 0;
for i = 1:numpts
    y = kv(i, 1);
    x = kv(i, 2);
    d = rkd(i, :);
    
    prod = prod + log ( (1 - alpha)/(640*480) + alpha * 1/(s*sqrt(2*pi)) * exp( -((x-jx)^2+(y-jy)^2)/(2*s^2) ) * 1/(crcr*sqrt(2*pi)) * exp( -sum((d-m).^2)/(2*crcr^2)  )    );    
end
    
p = -prod;